[SCM] vdr-plugin-extrecmenu packaging repository branch, master, updated. debian/1.2.2-2-5-ge44fb08

etobi git at e-tobi.net
Sat Mar 23 08:49:13 UTC 2013


The following commit has been merged in the master branch:
commit 2f92d2095ab07fdee558ad763284347c2e2fa81b
Author: etobi <git at e-tobi.net>
Date:   Sat Mar 23 09:44:09 2013 +0100

    Improved get-vcs-snapshot.sh

diff --git a/debian/get-vcs-snapshot.sh b/debian/get-vcs-snapshot.sh
index f7ae4e5..c7fd19e 100644
--- a/debian/get-vcs-snapshot.sh
+++ b/debian/get-vcs-snapshot.sh
@@ -2,17 +2,19 @@ echo Downloading latest from git repository...
 set -e
 
 DEB_SOURCE_PACKAGE=`egrep '^Source: ' debian/control | cut -f 2 -d ' '`
+VERSION_UPSTREAM=`dpkg-parsechangelog | grep ^Version: | sed -e 's/^Version:\s*//' -e s/-[^-]*$// -e s/\+git.*//`
 VERSION_DATE=`/bin/date --utc +%0Y%0m%0d`
-VERSION_FULL="1.2.1+git${VERSION_DATE}"
+VERSION_FULL="${VERSION_UPSTREAM}+git${VERSION_DATE}"
 
 git clone --depth 1 git://projects.vdr-developer.org/${DEB_SOURCE_PACKAGE}.git
 
 cd ${DEB_SOURCE_PACKAGE}
-GIT_SHA=`git show --pretty=format:"%h" --quiet || true`
+GIT_SHA=`git show --pretty=format:"%h" --quiet | head -1 || true`
 cd ..
 
 tar --exclude=.git -czf "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz" ${DEB_SOURCE_PACKAGE}
 
-dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"
-
 rm -rf ${DEB_SOURCE_PACKAGE}
+
+git-import-orig --pristine-tar "../${DEB_SOURCE_PACKAGE}_${VERSION_FULL}.orig.tar.gz"
+dch -v "$VERSION_FULL-1" "New Upstream Snapshot (commit $GIT_SHA)"

-- 
vdr-plugin-extrecmenu packaging repository



More information about the pkg-vdr-dvb-changes mailing list